<?php

namespace Modules\Pp\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Pp\Entities\EmployeeSite;
use Modules\Pp\Entities\Machinary;
use Modules\St\Entities\Factory;

class PpMachineryController extends Controller
{
    function loadSiteId()
    {
        try {
            $siteid = EmployeeSite::where('status', 1)->select('site_id', 'site')->get();

            $responseBody = $this->responseBody(true, "Site Ids", "Found", $siteid);
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, "Site Ids", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }

    function loadFactory()
    {
        try {
            $factory = Factory::where('status', 1)->select('factory_id', 'name')->get();

            $responseBody = $this->responseBody(true, "Factory", "Found", $factory);
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, "Factory", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }

    function save(Request $request)
    {
        try {
            $factory_id = $request->get('cmbFactory');
            $site_id = 0;
            $factory = Factory::find($factory_id);
            if ($factory) {
                $site_id = $factory->site_id;
            }
            $machinary = new Machinary();
            $machinary->machinery_name = $request->get('Machinary_name');
            $machinary->factory_id = $factory_id;
            $machinary->site_id = $site_id;
            $machinary->machinery_no = $request->get('machinery_no');
            $machinary->description = $request->get('description');
            $machinary->status = true;
            $result = $machinary->save();

            if ($result) {
                $responseBody = $this->responseBody(true, "machinary", "saved", $machinary);
            } else {
                $responseBody = $this->responseBody(false, " machinary", "error", null);
            }
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, " machinary", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }
    function update(Request $request, $id)
    {
        try {
            $factory_id = $request->get('factory_id');
            $site_id = 0;
            $factory = Factory::find($factory_id);
            if ($factory) {
                $site_id = $factory->site_id;
            }
            $machinery = Machinary::find($id);
            if ($machinery) {
                $machinery->machinery_name = $request->get('Machinary_name');
                $machinery->factory_id = $factory_id;
                $machinery->site_id = $site_id;
                $machinery->machinery_no = $request->get('machinery_no');
                $machinery->description = $request->get('description');
                $machinery->update();
            }
            /*$machinary = Machinary::where('machinery_id', $id)
                ->update([
                    'machinery_name' => $request->get('Machinary_name'),
                    'factory_id' => $factory_id,
                    'site_id' => $site_id,
                    'machinery_no' => $request->get('machinery_no'),
                    'description' => $request->get('description')

                ]);*/

            if ($machinery) {
                $responseBody = $this->responseBody(true, "machinary", "updated", $request->get('machinery_no'));
            } else {
                $responseBody = $this->responseBody(false, " machinary", "error", $request->Site_id);
            }
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, " machinary", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }



    function alldata()
    {
        try {
            // $machinary=new Machinary();
            // $result=$machinary->all();
            $result = DB::table('pp_machinery')
                ->join('hr_employee_sites', 'pp_machinery.site_id', '=', 'hr_employee_sites.site_id')
                ->leftJoin('st_factories', 'pp_machinery.factory_id', '=', 'st_factories.factory_id')
                ->select('pp_machinery.*', 'hr_employee_sites.site', 'st_factories.name') // Assuming you want to include factory name
                ->get();


            $responseBody = $this->responseBody(true, "machinary all", "found", $result);
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, " machinary", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }
    function delete($id)
    {
        try {
            $machinary = Machinary::where('machinery_id', $id)->delete();

            $responseBody = $this->responseBody(true, "machinary delete", "deleted", $machinary);
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, " machinary delete", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }
    function disable(Request $request, $id)
    {
        try {
            $machinary = Machinary::where('machinery_id', $id)->Update(['status' => $request->status]);

            $responseBody = $this->responseBody(true, "machinary status", "Sucess", $request->status);
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, " machinary status", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }
    function edit($id)
    {
        try {
            $machinary = Machinary::where('machinery_id', $id)->first();

            $responseBody = $this->responseBody(true, "machinary edit data", "Sucess", $machinary);
        } catch (\Exception $ex) {
            $responseBody = $this->responseBody(false, " machinary edit data", "error", $ex);
        }
        return response()->json(["data" => $responseBody]);
    }
    //responcebody
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }
}
