<?php

namespace Modules\Pp\Http\Controllers;

use DateInterval;
use DatePeriod;
use DateTime;
use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Hr\Entities\EmployeeSite;
use Modules\Hr\Entities\Company;
use Modules\Pp\Entities\Machinary;
use PhpParser\Node\Expr\Cast\Object_;

class ProductionReportController extends Controller
{

    public function allCompanies()
    {
        try {

            $companies = EmployeeSite::all();
            return response()->json(["companies" => $companies]);
        } catch (Exception $ex) {
            return response()->json(["error" => $ex]);
        }
    }


    public function allMachineries($site_id)
    {
        try {

            $machineries = Machinary::where([['site_id', '=', $site_id], ['status', '=', '1']])->get();
            return response()->json(["machine" => $machineries]);
        } catch (Exception $ex) {
            return response()->json(["error" => $ex]);
        }
    }



    public function createProductionPlanReport($factory, $machine, $date_from, $date_to)
    {
        $factory_id = $factory;
        $machinery_result = Machinary::where([['factory_id', '=', $factory], ['status', '=', '1']])->get();
        $machinery_id_array = [];
        foreach ($machinery_result as $mach) {
            array_push($machinery_id_array, $mach->machinery_id);
        }

        $factory_ = Machinary::where('factory_id', '=', $factory)->first();
        if ($factory_) {
            $factory = $factory_->site_id;
        }


        $factory_filter = "";
        if ($factory != "null") {
            $factory_filter = " AND pp_machinery.site_id  = '" . $factory . "' ";
            //$machinery_result = Machinary::where([['site_id', '=', $factory], ['status', '=', '1']])->get();
        }



        $machine_filter = "";
        if ($machine != "null") {
            $machine_filter = " AND pp_machinery_plans.machinery_id = '" . $machine . "' ";
            $machinery_result = Machinary::where([['machinery_id', '=', $machine], ['status', '=', '1']])->get();
        } else {
            $machine_filter = " AND pp_machinery_plans.machinery_id in ('" . implode("','", $machinery_id_array) . "')";
        }

        $query = 'SELECT DISTINCT pp_machinery.machinery_no,
        pp_machinery.machinery_id,
        pp_customer_orders.factory_po_num,
        pp_machinery_plans.date,
        st_products.size,
        pp_machinery_plans.quantity,
        "" AS farm,
        st_countries.country_name,
        "" AS other,
        hr_att_shifts.remark AS shift FROM pp_machinery_plans
        INNER JOIN hr_att_shifts ON pp_machinery_plans.shift_id = hr_att_shifts.shift_id
        INNER JOIN pp_customer_order_plans_data ON pp_machinery_plans.customer_order_plan_data_id = pp_customer_order_plans_data.customer_order_plan_data_id
        INNER JOIN pp_customer_order_plans ON pp_customer_order_plans_data.customer_order_plan_id = pp_customer_order_plans.customer_order_plan_id
        INNER JOIN pp_customer_orders ON pp_customer_order_plans.order_id = pp_customer_orders.order_id
        LEFT JOIN st_products ON pp_customer_order_plans_data.product_id = st_products.product_id
        INNER JOIN st_countries ON pp_customer_orders.country_id = st_countries.country_id
        INNER JOIN pp_machinery ON pp_machinery_plans.machinery_id = pp_machinery.machinery_id
        WHERE pp_machinery_plans.date BETWEEN "' . $date_from . '" AND "' . $date_to . '" ' . $machine_filter . ' ' . $factory_filter . ' ORDER BY pp_machinery_plans.date';

        $date_query = "SELECT LAST_DAY('" . $date_to . "') AS end_date";
        $date_to = DB::select($date_query)[0]->end_date;


        $date_array = [];
        $date_array2 = [];
        $startDate = new DateTime($date_from);
        $endDate = new DateTime($date_to);
        $endDate->modify('+1 day'); // Include the end date in the loop

        $interval = new DateInterval('P1D'); // 1 day interval
        $dateRange = new DatePeriod($startDate, $interval, $endDate);

        foreach ($dateRange as $date) {
            $date_array[] = $date->format('d-M');
            $date_array2[] = $date->format('Y-m-d');
        }



        $result = DB::select($query);
        $plan_array = [];
        foreach ($date_array2 as $date) {
            if (isset($result[0])) {
                $res_copy = clone $result[0];
                //$res_copy->machinery_no = "";
                //$res_copy->machinery_id = "";
                $res_copy->quantity = 0;
                $res_copy->factory_po_num = "";
                $res_copy->size = "";
                $res_copy->farm = "";
                $res_copy->other = "";
                $res_copy->country_name = "";
                $res_copy->date = $date;
                $res_copy->shift = "day";
                $plan_array[] =  $res_copy;
            }
            if (isset($result[0])) {
                $res_copy = clone $result[0];
                //$res_copy->machinery_no = "";
                //$res_copy->machinery_id = "";
                $res_copy->quantity = 0;
                $res_copy->factory_po_num = "";
                $res_copy->size = "";
                $res_copy->farm = "";
                $res_copy->other = "";
                $res_copy->country_name = "";
                $res_copy->date = $date;
                $res_copy->shift = "night";
                $plan_array[] =  $res_copy;
            }
        }


        foreach ($result as $res) {
            foreach ($plan_array as $plan) {
                if ($res->date == $plan->date && $plan->machinery_id == $res->machinery_id) {
                    $plan->machinery_no = $res->machinery_no;
                    $plan->machinery_id = $res->machinery_id;
                    $plan->factory_po_num = $res->factory_po_num;
                    $plan->size = $res->size;
                    $plan->farm = $res->farm;
                    $plan->quantity = $res->quantity;
                    $plan->other = $res->other;
                    $plan->country_name = $res->country_name;
                    $plan->shift = $res->shift;
                    $plan->date = $res->date;
                    break;
                }
            }
        }




        //dd($plan_array);



        $machinery_array = [];


        foreach ($machinery_result as $machine_res) {

            $day_po_array = [];
            $day_size_array = [];
            $day_plan_array = [];
            $day_farm_array = [];
            $day_country_array = [];
            $day_other_array = [];

            $night_po_array = [];
            $night_size_array = [];
            $night_plan_array = [];
            $night_farm_array = [];
            $night_country_array = [];
            $night_other_array = [];

            foreach ($plan_array as $data) {
                if ( $data->shift == "day") {
                    $day_po_array[] = $data->factory_po_num;
                    $day_size_array[] = $data->size;
                    $day_plan_array[] = $data->quantity;
                    $day_farm_array[] = $data->farm;
                    $day_country_array[] = $data->country_name;
                    $day_other_array[] = $data->other;
                }
                if ( $data->shift == "night") {
                    $night_po_array[] = $data->factory_po_num;
                    $night_size_array[] = $data->size;
                    $night_plan_array[] = $data->quantity;
                    $night_farm_array[] = $data->farm;
                    $night_country_array[] = $data->country_name;
                    $night_other_array[] = $data->other;
                }
            }



            $machinery_array[] = [
                "machine" => $machine_res->machinery_no,
                "day" => [
                    "date" => $date_array,
                    "po" => $day_po_array,
                    "size" => $day_size_array,
                    "plan_qty" => $day_plan_array,
                    "farm" => $day_farm_array,
                    "country" => $day_country_array,
                    "other" => $day_other_array,
                ],
                "night" => [
                    "date" => $date_array,
                    "po" => $night_po_array,
                    "size" => $night_size_array,
                    "plan_qty" => $night_plan_array,
                    "farm" => $night_farm_array,
                    "country" => $night_country_array,
                    "other" => $night_other_array,
                ]
            ];
        }


        $title = "Production Plan Report";
        $machineries = [];
        foreach ($machinery_array as $machinery) {
            $machine = [];
            array_push($machine, $machinery);
            array_push($machineries, $machine);
        }

        return view('pp::production_plan_report')->with(compact('title', 'machineries'));
    }
}
