$(document).ready(function () {

    var orderPlanTable = $('#tblProductionTeam').DataTable({
        responsive: false,
        "order": [],
        "columns": [
            { "data": "designation" },
            { "data": "status" },
            { "data": "edit" },
            { "data": "delete" },

        ],
        columnDefs: [
            { width: 50, targets: 1 },
            { width: 50, targets: 2 },
            { width: 50, targets: 3 },

        ],
    });
    productionTeamList();
    allDesignation();
    $('#btnShowModal').on('click', function () {
        allDesignation();
        $('#btnSaveProductionTeam').text('Save');
        $('#productionTeamModal').modal('show');
    });

    $('#btnSaveProductionTeam').on('click', function () {
        if ($(this).text() == 'Save') {
            saveProductionTeam();
        } else {
            updateProductionTeam();
        }

    })
});


function allDesignation() {

    $.ajax({
        type: 'GET',
        url: '/pp/ProductionTeam/allDesignation',
        async: false,
        success: function (response) {
            console.log(response.data.result);
            var designation = response.data.result;
            $('#cmbDesignation').empty();
            for (var i = 0; i < designation.length; i++) {
                $('#cmbDesignation').append('<option value="' + designation[i].designation_id + '">' + designation[i].designation + '</option>');
            }
        },
        error: function (data) {

        },
        complete: function () {

        }
    });
}




function productionTeamList() {

    $.ajax({
        type: 'GET',
        url: '/pp/ProductionTeam/productionTeamList',
        async: false,
        success: function (response) {
            console.log(response.data.result);
            var designations = response.data.result;
            appendTableRow(designations);
        },
        error: function (data) {

        },
        complete: function () {

        }
    });
}




function appendTableRow(result) {

    var data = [];
    for (i = 0; i < result.length; i++) {
        var id = result[i]['production_team_id'];
        var designation_id = result[i]['designation_id'];
        var designation = result[i]['designation'];
        var string_id = "'" + id + "'";
        var string_designation_id = "'" + designation_id + "'";
        var status = "";
        if (result[i]['status'] == 1) {
            status = "checked";
        }

        data.push({
            "designation": designation,
            "status": '<label class="switch"><input type="checkbox" id="1" onchange="disable(event,' + string_id + ',' + string_designation_id + ')" ' + status + '><span class="slider round"></span></label>',
            "edit": '<button class="btn btn-primary" onclick="edit(' + string_id + ',' + string_designation_id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
            //"view": '<button class="btn btn-success" onclick="view(' + string_id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
            "delete": '<button class="btn btn-danger" onclick="_delete(' + string_id + ',' + string_designation_id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
        });
    }

    var table = $('#tblProductionTeam').DataTable();
    table.clear();
    table.rows.add(data).draw();


}



function saveProductionTeam() {
    $.ajax({
        type: "POST",
        url: '/pp/ProductionTeam/saveProductionTeam',
        data: {
            "designation_id": $('#cmbDesignation').val(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('Data has been saved successful');
                productionTeamList();
                $('#productionTeamModal').modal('hide');
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
        }

    });
}






function _delete(id, designation_id) {

    $.ajax({
        type: 'DELETE',
        url: '/pp/ProductionTeam/productionTeamDelete/' + id + '/' + designation_id,
        data: {},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage("Employee has been deleted successfully...")
                productionTeamList();
            } else {
                var msg = response.data.message;
                //var id = response.data.result;

                if (msg == "assigned") {//assigned settings cannot be disabled
                    showWarningMessage("Production team has been assigned...!");
                    productionTeamList();
                } else if (msg == "error") {
                    showErrorMessage();
                }
            }
        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });

}



function edit(id, designation_id) {
    $('#hidId').val(id);
    setSelectedOption('cmbDesignation', designation_id);
    $('#btnSaveProductionTeam').text('Update');
    $('#productionTeamModal').modal('show');

}






function updateProductionTeam() {
    $.ajax({
        type: "PUT",
        url: '/pp/ProductionTeam/updateProductionTeam/' + $('#hidId').val(),
        data: {
            "designation_id": $('#cmbDesignation').val(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('Data has been updated successful');
                productionTeamList();
                $('#productionTeamModal').modal('hide');
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {
        }

    });
}


function disable(event, id, designation_id) {
    var status = 0;
    if (event.target.checked) {
        status = 1;
    }

    $.ajax({
        type: 'PUT',
        url: '/pp/ProductionTeam/disable/' + id + '/' + designation_id,
        //async:false,
        data: {
            "status": status
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {

                showSuccessMessage("Production team has been disabled successfully...");
                productionTeamList();
            } else {
                var msg = response.data.message;
                var id = response.data.result;

                if (msg == "assigned") {//assigned settings cannot be disabled
                    showWarningMessage("Production team has been assigned...!");
                    productionTeamList();
                } else if (msg == "error") {
                    showErrorMessage();
                }
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}


function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}


/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}



